function result = Cp_f_T(T,x_air)
%Calculates Cp of flue as a function of temperature and amount of air
%leaking in.
comp_flue = [4.5 11.28 62.47 21 0.74]*(1-x_air)/100+[0.21 0 0.78 0 0.01]*x_air; %Composition flue[O2 CO2 N2 H2O Ar]

Cp_mol = dot(comp_flue, [Cp_O2(T) Cp_CO2(T) Cp_N2(T) Cp_H2O_g(T) Cp_Ar()]); %[J/K*mol]

result = Cp_mol/dot(comp_flue, [32 44.01 28.01 18.02 39.95]); %[kJ/kg*K]

end